%define	_rc rc.4
%define definstall /usr/share/graylog2-server

Name:		graylog2-server
Version:	0.10.0
Release:	1.1
Summary:	graylog2 is a log manager

Group:		System Environment/Daemons
License:	GPLv3
URL:		http://www.graylog2.org/
Source0:	http://download.graylog2.org/graylog2-server/graylog2-server-%{version}%{?_rc:-}%{?_rc}.tar.gz
Patch1:		fixinit.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	elasticsearch = 0.20.4
Requires:	shadow-utils
BuildArch:	noarch

%description
Graylog2 enables you to unleash the power that lays inside your logs. 
Use it to run analytics, alerting, monitoring and powerful searches 
over your whole log base. Need to debug a failing request? Just run a
quick filter search to find it and see what errors it produced. Want
to see all messages a certain API consumer is consuming in real time?
Create streams for every consumer and have them always only one click
away.

%prep
%setup -q -n %{name}-%{version}%{?_rc:-}%{?_rc}
%patch1 -p1 -b .rpm

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{definstall} %{buildroot}%{_initddir}
install -m 755 bin/graylog2ctl %{buildroot}%{_initddir}/graylog2
install -m 644 graylog2-server.jar %{buildroot}%{definstall}
cp -ar plugin %{buildroot}%{definstall}
install -m 640 graylog2.conf.example %{buildroot}/etc/graylog2.conf
install -m 640 elasticsearch.yml.example %{buildroot}/etc/graylog2-elasticsearch.yml
mkdir -p %{buildroot}/var/log/graylog2
mkdir -p %{buildroot}/var/run/graylog2

%clean
rm -rf %{buildroot}

%pre
if ! getent group graylog2 >/dev/null; then
        groupadd -r graylog2
fi

if ! getent passwd graylog2 >/dev/null; then
        useradd -r -g graylog2 -d %{definstall} \
            -s /sbin/nologin -c "Graylog2 server user" graylog2
fi

%post
/sbin/chkconfig --add graylog2

%preun
if [ $1 -eq 0 ]; then
  /sbin/service graylog2 stop >/dev/null 2>&1
  /sbin/chkconfig --del graylog2
fi



%files
%defattr(-,root,root,-)
%doc COPYING README* build_date *example
%{_initddir}/graylog2
%dir %{definstall}
%{definstall}/*jar
%{definstall}/plugin
%attr(640,root,graylog2) %config(noreplace) /etc/graylog2.conf
%attr(640,root,graylog2) %config(noreplace) /etc/graylog2-elasticsearch.yml
%attr(770,root,graylog2) %dir /var/log/graylog2
%attr(770,graylog2,graylog2) %dir /var/run/graylog2

%changelog
* Mon Feb 04 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build

